Bug 138670 - Can't access to OS/2 shares when they have been mounted.
Can't access to OS/2 shares when they have been mounted.
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-10 11:45 EST by Xavier Navarro Ferrer
Modified: 2015-01-04 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 00:31:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Messages.log (1.87 KB, text/plain)
2004-11-10 11:53 EST, Xavier Navarro Ferrer
no flags Details

  None (edit)
Description Xavier Navarro Ferrer 2004-11-10 11:45:01 EST
Description of problem:

I can mount Windows shared resources and ls the mounted point, browse
with nautilus, ...

When I try to mount an OS/2 shared resource, it seems that everything
is going fine, but when I try to ls this, it hangs. I can just Ctrl^C
the process.

If I do it with Nautilus, using "connect to server" option, it opens
the connextion Dialog and thenNautilus is shoing the working mouse
pointer, but nothing happens.

And if in the Browsing File System (nautilus with location bar) using
smb://OS2SERVER/SHARED, it opens the connection dialog again, and the
first time, can show the content of the remote share, but when I try
to open an object, it don't matter if is a folder or if is a file,
nautilus says that there isn't any assotiated application to open that
object, and closing the dialog, the object dissapear.

Version-Release number of selected component (if applicable):
Fedora Core 2, Fedora Core rc3, Fedora Core 3.
Samba 3.0.7, 3.0.8pre1-0.pre1.3 and I tried the final 3.0.8 downloaded
from Samba Site.

From Red Hat 9 (Samba 2.2.2 I think) the everything is running fine.

How reproducible:

Every time I try to connect to my OS/2 Server

Steps to Reproduce:
1. smbmount //OS2SERVER/SHARED /mnt/drive -o username=my_user_name
2. ls /mnt/drive

Actual results:
nothing happen

Expected results:
Should list the content.

Additional info:
You can see that in messages.log fragment I attached, that there are
some messages saying that the message is long, and something with a
tdb lock function of a cache file.
Comment 1 Xavier Navarro Ferrer 2004-11-10 11:53:14 EST
Created attachment 106426 [details]
Messages.log

Here you can find what happens in the messages.log when I try to mount an OS/2
shared resource.

Later, you can find what happens in the messages.log when I mount a Windows
shared resource. As you can see, there is no problem to mount the XP resource.
Comment 2 Jay Fenlason 2004-11-10 12:10:17 EST
Smbfs is part of the Linux kernel, not part of Samba.  I'm 
reassigning this to the correct maintainer. 
 
You might want to try using mount -t cifs ... instead.  cifs is much 
better maintained than smbfs. 
Comment 3 Dave Jones 2005-04-16 00:31:09 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.